#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "Templates/SubclassOf.h"
#include "Breakdown.generated.h"

class UStatusEffect;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DBDCOMPETENCE_API UBreakdown : public UPerk
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _healingSpeedBonusStatusEffectClass;

	UPROPERTY(EditAnywhere)
	float _healingSpeedBonusEffectAmount;

	UPROPERTY(EditAnywhere)
	float _healingSpeedBonusEffectLifetime;

public:
	UBreakdown();
};

FORCEINLINE uint32 GetTypeHash(const UBreakdown) { return 0; }
